#
# spec file for package perl-common-sense (Version 3.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-common-sense
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Save a tree AND a kitten (sane defaults for Perl programs)
Version:        3.0
Release:        1.1
License:        Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/common-sense
Source:         http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/%{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl = %{perl_version}

%description
  This module implements some sane defaults for Perl programs, as defined
  by two typical (or not so typical - use your common sense) specimens of
  Perl coders.

  The basic philosophy behind the choices made in common::sense can be summarised
  as: "enforcing strict policies to catch as many bugs as possible, while at the
  same time, not limiting the expressive power available to the programmer".

  Authors:	Marc Lehmann <schmorp@schmorp.de>
		Robin Redeker, <elmex at ta-sa.org>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%{__make}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes LICENSE README

%changelog
* Mon Jan 18 2010 jw@novell.com
- update to 3.0, as suggested by JSON::XS
* Fri Sep  4 2009 chris@computersalat.de
- initial pkg 2.0
